Link

Update company SERVER-SIDE

Step 1: Update company information

The most basic way to perform a update is via the Register Companies call. The call is the same as the initial registration. The same ERP-id should be used as the one used in the initial registration. Again, updates are performed in the background.

Request Example

POST /v1/api/companies/register/ HTTP/1.1
APIKey: --YOUR API KEY HERE--
Content-Type: application/json; charset=utf-8
Host: testapi.inexchange.se
Content-Length: 265
Expect: 100-continue
{
  "erpId": "635604692357550266",
  "orgNo": "083440-2861",
  "vatNo": "SE083440286101",
  "name": "Demo Company 083440-2861",
  "erpProduct": "DEMO Product 1.0",
  "city": "Skövde",
  "countryCode": "SE",
  "languageCode": "sv-SE",
  "email": "example@inexchange.se",
  "isVatRegistered": true,
  "processes": [
    "SendInvoices",
    "ReceiveInvoices"
  ]
}

Response Example

HTTP/1.1 202 Accepted
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 2
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT

{}